#include <iostream>
#include <vector>
#include "code.h"

using namespace std;

vector<pair<int, int>> ZapisiTacke(int N){
    vector<pair<int, int>> tacke(n+1);
    tacke[1]={0,0};
    for(int i=2;i<n;i++){
        tacke[i]={i,1};
    }
    return tacke;
}

vector<int> Resi(int N, int Q){
    vector<int> resenje(N+1);
    resenje[1]=1;
    for(int i=2;i<=N;i++){
        //resavamo tacku i;
        int cntM=0,cntP=0;
        for(int j=2;j<=N;j++){
            if(i==j)continue;
            int res=Pitaj(1,i,j);
            if(res==-1)cntM++;
            else cntP++;
        }
        resenje[cntM+1]=i;
    }
    return resenje;
}